## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-opentelemetry-sdk-extension-aws
Version:        2.0.2
Release:        %autorelease
Summary:        AWS SDK extension for OpenTelemetry

License:        Apache-2.0
URL:            https://pypi.org/project/opentelemetry-sdk-extension-aws
Source:         %{pypi_source opentelemetry_sdk_extension_aws}

BuildArch:      noarch

BuildRequires:  dos2unix

BuildRequires:  python3-devel
# Test dependencies. The upstream git repository has a file
# test-requirements.txt, not included in the PyPI sdist, but it pins exact
# versions and includes many indirect dependencies.
BuildRequires:  %{py3_dist pytest}

%global common_description %{expand:
This library provides components necessary to configure the OpenTelemetry SDK
for tracing with AWS X-Ray.}

%description %{common_description}


%package -n python3-opentelemetry-sdk-extension-aws
Summary:        %{summary}

%description -n python3-opentelemetry-sdk-extension-aws %{common_description}


%prep
%autosetup -n opentelemetry_sdk_extension_aws-%{version}
dos2unix --keepdate README.rst


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# The opentelemetry and opentelemetry/sdk directies are shared
# namespace package directories; they are co-owned with other opentelemetry
# packages, including subpackages of python-opentelemetry and/or
# python-opentelemetry-contrib. See RHBZ#1935266.
%pyproject_save_files -l opentelemetry


%check
%pytest -v


%files -n python3-opentelemetry-sdk-extension-aws -f %{pyproject_files}
%doc README.rst


%changelog
## START: Generated by rpmautospec
* Tue Aug 06 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 2.0.2-1
- Update to 2.0.2

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.1-54
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jun 09 2024 Python Maint <python-maint@redhat.com> - 2.0.1-53
- Rebuilt for Python 3.13

* Wed Feb 21 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 2.0.1-52
- Initial package (separate from python-opentelemetry-contrib); close
  RHBZ#2263734
## END: Generated by rpmautospec
